Subject: Re: B20 & bash 2.02.1(2) broken
From: [email-masked] (Matt Behrens)

7 Nov 1998 10:17:56 -0800
Message-ID: <[email-masked]>
References: <000001be0724$cbdc1d90$010120c0@menpc1>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Cc: "Gnu-Win32 Mailing List (E-mail)" <[email-masked]>

Hmm.  Did it hang when it wouldn't execute those scripts?  If so, that
might well explain part of the problem with configure scripts not
working.

Austin David France wrote:
> 
> CYGWIN_NT-4.0 MENPC1 20.0 (0.1/1/1) 1998-10-29 15:33:43 i486 unknown
> BASH 2.02.1(2)-release
> NTW40 Y2KSP4
> 
> I installed B20, and discovered a problem with the version of bash shipped
> with b20.
> 
> I can log in using cygnus.bat OK, however logins via inetd don't work.
> 
> Further investigation reveals a very strange problem.  Bash 2.02.1(2) won't
> execute a script whose name is less than 6 characters long.
> 
> A colleagues is experiencing exactly the same problem, except that bash
> won't execute a script whose name is less than 4 characters long.
> 
> An interesting co-incidence is that I have 6 dos drive letters, my colleague
> has only 4.  I am sure this is just a weird co-incidence.
> 
> I have replaced bash 2.02.1(2) with bash 2.02.1(1) and this corrects the
> problem for both short script names and inetd (which was presumably a
> related problem)
> 
> Austin David France
> Mentor Systems plc
> mailto:[email-masked]
> 
> ------------------------------------------------------------------------
> 
> The views and opinions expressed in this e-mail message are the sender's
> and do not necessarily represent the views of Mentor Systems plc.
> 
> ------------------------------------------------------------------------
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
  __
 /-/    Matt Behrens
( (     [email-masked]
 ) )    Iserv Network Operations Center
/_/     http://inoc.iserv.net/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".